EDIT - bug #7845

NamePopupEditor new Genus button should clear the genus name field in the new editor
10/23/2018 01:42 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal Found in Version:

Description

Clicking on the new button at the genus field in a NamePopupEditor opens a new NamePopupEditor with the genus name prefilled
with the genus name of the previous editor. The Genus field should be empty if the genus name in the previous editor is not in the
options list of the combobox

Related issues:
Related to EDIT - bug #8374: Save genus generated for a species with a differ... Duplicate
Copied from EDIT - bug #7783: NamePopupEditor new buttons for genus and species Closed

Associated revisions

Revision 3d093bed - 10/23/2018 04:32 PM - Andreas Kohlbecker

fix #7845 new genus or species: setting value of genus or spec. epithet only if the name is not yet known

Revision 959b2c17 - 10/24/2018 12:33 PM - Andreas Kohlbecker
ref #7830 ref #7814 fixing WeaklyRelatedEntityCombobox reset to textfield for genus in name editor

History

#1 - 10/23/2018 01:42 PM - Andreas Kohlbecker
- Copied from bug #7783: NamePopupEditor new buttons for genus and species added

#2 - 10/23/2018 01:46 PM - Andreas Kohlbecker

- Description updated

#3 - 10/23/2018 04:30 PM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.4

#4 - 10/23/2018 04:32 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|3d093bed95b143473aad52db91c4954bf4398739.

#5 - 10/23/2018 04:33 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

solved, please review

#6 - 10/23/2018 07:05 PM - Wolf-Henning Kusber
- Status changed from Resolved to In Progress

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

The new popup form shows the preselected rank (species) and selecting Uninominal there is the dropdown OR the new button, this is a circle.

#7 - 10/24/2018 12:42 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Walter Berendsohn

the uninomial field for genus and higher ranks can be edited again.

#8 - 10/25/2018 01:19 PM - Andreas Kohlbecker

- Assignee changed from Walter Berendsohn to Wolf-Henning Kusber

#9 - 07/16/2019 05:56 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Ticket can be closed, but "Save" error when an uninominal should be saved.

#10 - 07/16/2019 06:00 PM - Wolf-Henning Kusber

new error: #8374

#11 - 07/17/2019 08:10 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#12 - 07/17/2019 08:20 AM - Andreas Kohlbecker

- Related to bug #8374: Save genus generated for a species with a different reference added
